/* 
 * Copyright (c) 2003-2004, University of Maryland
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided
 * that the following conditions are met:
 * 
 *		Redistributions of source code must retain the above copyright notice, this list of conditions
 *		and the following disclaimer.
 * 
 *		Redistributions in binary form must reproduce the above copyright notice, this list of conditions
 *		and the following disclaimer in the documentation and/or other materials provided with the
 *		distribution.
 * 
 *		Neither the name of the University of Maryland nor the names of its contributors may be used to
 *		endorse or promote products derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * Piccolo was written at the Human-Computer Interaction Laboratory www.cs.umd.edu/hcil by Jesse Grosjean
 * and ported to C# by Aaron Clamage under the supervision of Ben Bederson.  The Piccolo website is
 * www.cs.umd.edu/hcil/piccolo.
 */

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using UMD.HCIL.Piccolo.Util;

namespace BrownBagDemos {

	public class BrownBagDemos : System.Windows.Forms.Form {
		private System.Windows.Forms.CheckBox printFrameRates;
		private System.Windows.Forms.CheckBox showRegionManagment;
		private System.Windows.Forms.CheckBox showFullBounds;
		private System.Windows.Forms.Button btnActivityExample;
		private System.Windows.Forms.Button btnCameraExample;
		private System.Windows.Forms.Button btnEventHandlerExample;
		private System.Windows.Forms.Button btnHelloWorldExample;
		private System.Windows.Forms.Button btnNodeEventExample;
		private System.Windows.Forms.Button btnTwoCanvasExample;
		private System.Windows.Forms.Button btnLensExample;

		private System.ComponentModel.Container components = null;

		public BrownBagDemos() {
			InitializeComponent();
		}

		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if(components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		[STAThread]
		static void Main() {
			Application.Run(new BrownBagDemos());
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.btnActivityExample = new System.Windows.Forms.Button();
			this.btnCameraExample = new System.Windows.Forms.Button();
			this.btnEventHandlerExample = new System.Windows.Forms.Button();
			this.btnHelloWorldExample = new System.Windows.Forms.Button();
			this.btnNodeEventExample = new System.Windows.Forms.Button();
			this.btnTwoCanvasExample = new System.Windows.Forms.Button();
			this.printFrameRates = new System.Windows.Forms.CheckBox();
			this.showRegionManagment = new System.Windows.Forms.CheckBox();
			this.showFullBounds = new System.Windows.Forms.CheckBox();
			this.btnLensExample = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// btnActivityExample
			// 
			this.btnActivityExample.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.btnActivityExample.Location = new System.Drawing.Point(8, 80);
			this.btnActivityExample.Name = "btnActivityExample";
			this.btnActivityExample.Size = new System.Drawing.Size(192, 23);
			this.btnActivityExample.TabIndex = 3;
			this.btnActivityExample.Text = "ActivityExample";
			this.btnActivityExample.Click += new System.EventHandler(this.btnActivityExample_Click);
			// 
			// btnCameraExample
			// 
			this.btnCameraExample.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.btnCameraExample.Location = new System.Drawing.Point(8, 104);
			this.btnCameraExample.Name = "btnCameraExample";
			this.btnCameraExample.Size = new System.Drawing.Size(192, 23);
			this.btnCameraExample.TabIndex = 5;
			this.btnCameraExample.Text = "CameraExample";
			this.btnCameraExample.Click += new System.EventHandler(this.btnCameraExample_Click);
			// 
			// btnEventHandlerExample
			// 
			this.btnEventHandlerExample.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.btnEventHandlerExample.Location = new System.Drawing.Point(8, 32);
			this.btnEventHandlerExample.Name = "btnEventHandlerExample";
			this.btnEventHandlerExample.Size = new System.Drawing.Size(192, 23);
			this.btnEventHandlerExample.TabIndex = 9;
			this.btnEventHandlerExample.Text = "EventHandlerExample";
			this.btnEventHandlerExample.Click += new System.EventHandler(this.btnEventHandlerExample_Click);
			// 
			// btnHelloWorldExample
			// 
			this.btnHelloWorldExample.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.btnHelloWorldExample.Location = new System.Drawing.Point(8, 8);
			this.btnHelloWorldExample.Name = "btnHelloWorldExample";
			this.btnHelloWorldExample.Size = new System.Drawing.Size(192, 23);
			this.btnHelloWorldExample.TabIndex = 14;
			this.btnHelloWorldExample.Text = "HelloWorldExample";
			this.btnHelloWorldExample.Click += new System.EventHandler(this.btnHelloWorldExample_Click);
			// 
			// btnNodeEventExample
			// 
			this.btnNodeEventExample.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.btnNodeEventExample.Location = new System.Drawing.Point(8, 56);
			this.btnNodeEventExample.Name = "btnNodeEventExample";
			this.btnNodeEventExample.Size = new System.Drawing.Size(192, 23);
			this.btnNodeEventExample.TabIndex = 19;
			this.btnNodeEventExample.Text = "NodeEventExample";
			this.btnNodeEventExample.Click += new System.EventHandler(this.btnNodeEventExample_Click);
			// 
			// btnTwoCanvasExample
			// 
			this.btnTwoCanvasExample.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.btnTwoCanvasExample.Location = new System.Drawing.Point(8, 152);
			this.btnTwoCanvasExample.Name = "btnTwoCanvasExample";
			this.btnTwoCanvasExample.Size = new System.Drawing.Size(192, 23);
			this.btnTwoCanvasExample.TabIndex = 33;
			this.btnTwoCanvasExample.Text = "TwoCanvasExample";
			this.btnTwoCanvasExample.Click += new System.EventHandler(this.btnTwoCanvasExample_Click);
			// 
			// printFrameRates
			// 
			this.printFrameRates.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.printFrameRates.Location = new System.Drawing.Point(8, -85);
			this.printFrameRates.Name = "printFrameRates";
			this.printFrameRates.Size = new System.Drawing.Size(200, 25);
			this.printFrameRates.TabIndex = 0;
			this.printFrameRates.Text = "Print Frame Rates to Console";
			this.printFrameRates.CheckedChanged += new System.EventHandler(this.printFrameRates_CheckedChanged);
			// 
			// showRegionManagment
			// 
			this.showRegionManagment.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.showRegionManagment.Location = new System.Drawing.Point(8, -61);
			this.showRegionManagment.Name = "showRegionManagment";
			this.showRegionManagment.Size = new System.Drawing.Size(200, 25);
			this.showRegionManagment.TabIndex = 1;
			this.showRegionManagment.Text = "Show Region Managment";
			this.showRegionManagment.CheckedChanged += new System.EventHandler(this.showRegionManagment_CheckedChanged);
			// 
			// showFullBounds
			// 
			this.showFullBounds.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.showFullBounds.Location = new System.Drawing.Point(8, -37);
			this.showFullBounds.Name = "showFullBounds";
			this.showFullBounds.Size = new System.Drawing.Size(200, 25);
			this.showFullBounds.TabIndex = 2;
			this.showFullBounds.Text = "Show Full Bounds";
			this.showFullBounds.CheckedChanged += new System.EventHandler(this.showFullBounds_CheckedChanged);
			// 
			// btnLensExample
			// 
			this.btnLensExample.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.btnLensExample.Location = new System.Drawing.Point(8, 128);
			this.btnLensExample.Name = "btnLensExample";
			this.btnLensExample.Size = new System.Drawing.Size(192, 23);
			this.btnLensExample.TabIndex = 17;
			this.btnLensExample.Text = "LensExample";
			this.btnLensExample.Click += new System.EventHandler(this.btnLensExample_Click);
			// 
			// BrownBagDemos
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.AutoScroll = true;
			this.ClientSize = new System.Drawing.Size(208, 182);
			this.Controls.Add(this.showFullBounds);
			this.Controls.Add(this.showRegionManagment);
			this.Controls.Add(this.printFrameRates);
			this.Controls.Add(this.btnTwoCanvasExample);
			this.Controls.Add(this.btnNodeEventExample);
			this.Controls.Add(this.btnLensExample);
			this.Controls.Add(this.btnHelloWorldExample);
			this.Controls.Add(this.btnEventHandlerExample);
			this.Controls.Add(this.btnCameraExample);
			this.Controls.Add(this.btnActivityExample);
			this.Name = "BrownBagDemos";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Demos";
			this.ResumeLayout(false);

		}
		#endregion

		private void showFullBounds_CheckedChanged(object sender, System.EventArgs e) {
			PDebug.DebugFullBounds = showFullBounds.Checked;
		}

		private void showRegionManagment_CheckedChanged(object sender, System.EventArgs e) {
			PDebug.DebugRegionManagement = showRegionManagment.Checked;		
		}

		private void printFrameRates_CheckedChanged(object sender, System.EventArgs e) {
			PDebug.DebugPrintFrameRate = printFrameRates.Checked;
		}

		private void btnActivityExample_Click(object sender, System.EventArgs e) {
			(new ActivityExample()).Show();
		}

		private void btnCameraExample_Click(object sender, System.EventArgs e) {
			(new CameraExample()).Show();
		}

		private void btnEventHandlerExample_Click(object sender, System.EventArgs e) {
			(new EventHandlerExample()).Show();
		}

		private void btnHelloWorldExample_Click(object sender, System.EventArgs e) {
			(new HelloWorld()).Show();
		}

		private void btnKeyEventFocusExample_Click(object sender, System.EventArgs e) {
			(new KeyEventFocusExample()).Show();
		}

		private void btnLensExample_Click(object sender, System.EventArgs e) {
			(new LensExample()).Show();
		}

		private void btnNodeEventExample_Click(object sender, System.EventArgs e) {
			(new NodeEventExample()).Show();
		}

		private void btnTwoCanvasExample_Click(object sender, System.EventArgs e) {
			(new TwoCanvasExample()).Show();
		}
	}
}
